Infrastructure for custom, highly specialized effect user interfaces
Closed, ResolvedPublic

Description

Someone needs to pick up my failed attempt from 2013 and finish it.
https://github.com/nekohayo/pitivi/commits/custom_effect_config

This is needed for a bunch of features (color corrector, chroma keying, denoisers, audio equalizers, etc.).

See the "Blocks:" field below for the list of bug reports / features depending on this.

Imported from https://bugzilla.gnome.org/show_bug.cgi?id=741370

jeff claimed this task.Dec 11 2014, 12:55 AM
jeff created this task.
jeff added a subscriber: jeff.
pitivi-maint triaged this task as Enhancement priority.Dec 11 2014, 12:55 AM
pitivi-maint claimed this task.
thiblahute removed pitivi-maint as the assignee of this task.Sep 16 2015, 1:40 PM
thiblahute added a project: Pitivi.
thiblahute removed pitivi-maint as the assignee of this task.Sep 16 2015, 1:44 PM
aleb renamed this task from Need code to allow easily creating custom, highly specialized effect user interfaces to Custom, highly specialized effect user interfaces.Sep 30 2016, 2:10 AM
suhas2go claimed this task.May 8 2017, 2:05 PM
suhas2go set git URI to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/5917.
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/5917 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/5932.Jun 3 2017, 11:31 PM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/5932 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/5936.Jun 5 2017, 9:59 PM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/5936 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/5952.Jun 13 2017, 2:24 PM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/5952 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/5953.Jun 13 2017, 2:28 PM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/5953 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/5987.Jun 26 2017, 2:11 AM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/5987 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/5989.Jun 26 2017, 2:24 AM
suhas2go changed the task status from Open to To Review.Jun 26 2017, 2:26 AM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/5989 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/5990.Jun 27 2017, 3:09 PM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/5990 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/5992.
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/5992 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6036.Jul 11 2017, 5:21 PM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6036 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6037.
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6037 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6039.Jul 11 2017, 6:26 PM
aleb moved this task from Backlog to 2.0 on the Pitivi board.Aug 8 2017, 12:14 PM
aleb edited projects, added Pitivi (2.0); removed Pitivi.
aleb moved this task from Backlog to Needs review on the Pitivi (2.0) board.Aug 8 2017, 12:22 PM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6039 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6201.Aug 8 2017, 10:32 PM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6201 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6202.
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6202 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6203.Aug 8 2017, 10:44 PM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6203 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6204.Aug 8 2017, 10:59 PM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6204 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6205.Aug 8 2017, 11:06 PM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6205 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6206.Aug 8 2017, 11:21 PM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6206 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6207.
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6207 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6250.Aug 14 2017, 7:20 PM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6250 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6251.
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6251 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6254.Aug 14 2017, 7:37 PM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6254 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6255.
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6255 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6263.Aug 15 2017, 12:18 AM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6263 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6264.
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6264 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6265.Aug 15 2017, 12:28 AM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6265 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6280.Aug 15 2017, 7:44 PM
aleb renamed this task from Custom, highly specialized effect user interfaces to Infrastructure for custom, highly specialized effect user interfaces.Aug 16 2017, 10:39 PM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6280 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6442.Aug 30 2017, 6:38 AM
suhas2go changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6442 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6443.Aug 30 2017, 8:51 AM
aleb moved this task from Needs review to Done on the Pitivi (2.0) board.Sep 5 2017, 10:56 PM
aleb closed this task as Closed.Sep 6 2017, 11:23 AM

GitLab Migration Automatic Message

This bug has been migrated to GNOME's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.gnome.org/GNOME/pitivi/issues/1550.